io.agora.rtc

## Class AgoraVideoEncodedImageReceiver

- java.lang.Object
- - io.agora.rtc.AgoraVideoEncodedImageReceiver

-     public class AgoraVideoEncodedImageReceiver
      extends java.lang.Object

  Wrapper for receiving encoded video images.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `cptr` Native pointer to the video encoded image receiver instance.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AgoraVideoEncodedImageReceiver()` Constructs a video encoded image receiver.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys the video encoded image receiver and releases native resources.
    `private void` | `nativeDestroy(long cptr)` Releases the native video encoded image receiver handle.
    `private long` | `nativeInit()` Initializes the native video encoded image receiver.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cptr

          private long cptr

      Native pointer to the video encoded image receiver instance.

  - ### Constructor Detail

    - #### AgoraVideoEncodedImageReceiver

          public AgoraVideoEncodedImageReceiver()

      Constructs a video encoded image receiver.

  - ### Method Detail

    - #### destroy

          public void destroy()

      Destroys the video encoded image receiver and releases native resources.

    - #### nativeInit

          private long nativeInit()

      Initializes the native video encoded image receiver.
      Returns:
        Native pointer to the receiver instance

    - #### nativeDestroy

          private void nativeDestroy(long cptr)

      Releases the native video encoded image receiver handle.
      Parameters:
        `cptr` - Native pointer to the receiver instance